HTMLTagBalancer.Info (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLTagBalancer.Info

    java.lang.Object
      org.cyberneko.html.HTMLTagBalancer.Info

Enclosing class:
  HTMLTagBalancer

    public static class HTMLTagBalancer.Info

extends java.lang.Object

Element info for each start element. This information is used when closing unbalanced inline elements. For example:

     <i>unbalanced <b>HTML</i> content</b>

It seems that it is a waste of processing and memory to copy the attributes for every start element even if there are no unbalanced inline elements in the document. However, if the attributes are not saved, then important attributes such as style information would be lost.

Author:
  Andy Clark

Field Summary
`org.apache.xerces.xni.XMLAttributes` | `attributes` The element attributes.
`HTMLElements.Element` | `element` The element.
`org.apache.xerces.xni.QName` | `qname` The element qualified name.

Constructor Summary
`HTMLTagBalancer.Info(HTMLElements.Element element, org.apache.xerces.xni.QName qname)` Creates an element information object.
`HTMLTagBalancer.Info(HTMLElements.Element element, org.apache.xerces.xni.QName qname, org.apache.xerces.xni.XMLAttributes attributes)` Creates an element information object.

Method Summary
`java.lang.String` | `toString()` Simple representation to make debugging easier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### element

    public HTMLElements.Element element

  The element.

### qname

    public org.apache.xerces.xni.QName qname

  The element qualified name.

### attributes

    public org.apache.xerces.xni.XMLAttributes attributes

  The element attributes.

Constructor Detail

### HTMLTagBalancer.Info

    public HTMLTagBalancer.Info(HTMLElements.Element element,
                                org.apache.xerces.xni.QName qname)

  Creates an element information object.

  Note: This constructor makes a copy of the element information.

  Parameters:
    `element` - The element qualified name.

### HTMLTagBalancer.Info

    public HTMLTagBalancer.Info(HTMLElements.Element element,
                                org.apache.xerces.xni.QName qname,
                                org.apache.xerces.xni.XMLAttributes attributes)

  Creates an element information object.

  Note: This constructor makes a copy of the element information.

  Parameters:
    `element` - The element qualified name.
    `attributes` - The element attributes.

Method Detail

### toString

    public java.lang.String toString()

  Simple representation to make debugging easier

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.